<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap"
    android:layout_marginStart="5dp"
    android:layout_marginTop="0dp"
    android:layout_marginEnd="5dp"
    android:layout_marginBottom="5dp"
    app:cardBackgroundColor="@color/white"
    app:cardCornerRadius="5dp"
    app:cardElevation="1dp"
    app:cardUseCompatPadding="true">

    <LinearLayout
        style="@style/MatchWrap.Vertical"
        android:padding="10dp">

        <!-- 头部：单号和状态 -->
        <RelativeLayout style="@style/MatchWrap">

            <TextView
                android:id="@+id/outbound_number"
                style="@style/WrapWrap"
                android:text="-"
                android:textColor="@color/purple_200"
                android:textSize="16sp"
                android:textStyle="bold" />

            <!--复制-->
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/btn_copy"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_marginStart="5dp"
                android:layout_toEndOf="@+id/outbound_number"
                android:background="?actionBarItemBackground"
                android:padding="5dp"
                android:src="@drawable/copy_icon" />

            <TextView
                android:id="@+id/outbound_status"
                style="@style/WrapWrap"
                android:layout_alignParentEnd="true"
                android:layout_gravity="end"
                android:background="@drawable/status_green_bg"
                android:paddingHorizontal="10dp"
                android:paddingVertical="2dp"
                android:text="已出库"
                android:textColor="@color/purple_200"
                android:textSize="12sp" />
        </RelativeLayout>

        <!--横线-->
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:background="@color/c_f5f5" />

        <LinearLayout
            style="@style/MatchWrap.Horizontal"
            android:layout_marginBottom="5dp">

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:layout_weight="1">

                <!-- 出库类型 -->
                <TextView
                    style="@style/WrapWrap"
                    android:text="出库类型"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/txt_outbound_type"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <!-- 客户 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="客户"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/txt_customer_type"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:layout_weight="1">
                <!-- 仓库 -->
                <TextView
                    style="@style/WrapWrap"
                    android:text="仓库名称"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/txt_warehouse"
                    style="@style/text_black14_ww"
                    android:text="-"
                    android:textStyle="bold" />

                <!-- 数量/金额 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_marginTop="5dp"
                    android:text="数量/金额"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/txt_number_money"
                    style="@style/text_black14_ww"
                    android:text="- / ￥-"
                    android:textStyle="bold" />

            </LinearLayout>

        </LinearLayout>

        <!-- 操作按钮 -->
        <LinearLayout
            style="@style/MatchWrap.Horizontal"
            android:paddingTop="8dp">

            <TextView
                android:id="@+id/detail_button"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/gray_bg"
                android:gravity="center"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:text="详情"
                android:textColor="@color/purple_200" />

            <TextView
                android:id="@+id/outbound_button"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="4dp"
                android:layout_weight="2"
                android:background="@drawable/green_bg"
                android:gravity="center"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:text="出库"
                android:textColor="@color/white" />

        </LinearLayout>
    </LinearLayout>

</androidx.cardview.widget.CardView>